import { useUserStore } from '@/stores/user';
import request from '@/utils/request';
//列表数据
export const queryApi = (choosePage) =>
  request({
    url: '/xdbg/gwgl_gwlb/index',
    data:{limit: 10,page: choosePage},
  });
// 添加接口  
export const addApi = (data = {}) => request({
  url: '/xdbg/gwgl_gwlb/add',
  data: {xdbg_gwgl_gwlb:data}
});
//编辑接口
export const editApi = (chooseId,data={}) => request({
  url: '/xdbg/gwgl_gwlb/edit',
  data: {xgg_id:chooseId,xdbg_gwgl_gwlb:data}
});
//详情接口
export const detailApi = (chooseId) => request({
  url: '/xdbg/gwgl_gwlb/detail',
  data: { xgg_id: chooseId }
});
//删除接口
export const deleteApi = (chooseId) => request({
  url: '/xdbg/gwgl_gwlb/delete',
  data: { xgg_id:chooseId}
});
//搜索接口
export const searchApi = (keyIn_keyword) => request({
  url: '/xdbg/gwgl_gwlb/index',
  data: keyIn_keyword 
});

//导出接口
export const exportApi = (data) => {
  let { token } = useUserStore();
  const params = Object.assign({ token, limit: 10000, page: 1, api: 'xls' }, data);
  const paramsStr = Object.entries(params).map(([k, v]) => `${k}=${v}`).join('&');
  const el = document.createElement('a');
  var url = "xdbg/gwgl_gwlb/index";
  const href = `${window.globalVariables.api}${url}?${paramsStr}`;
  el.setAttribute('href', href)
  el.click()
};




//公文归档列表接口
export const GWGDqueryApi = (choosePage) =>
  request({
    url: '/xdbg/gwgl_gwgd/index',
    data:{limit: 10,page: choosePage},
  });
// 归入归档
export const GWGDaddApi = (idArr,data = {}) => request({
  url: '/xdbg/gwgl_gwlb/plgwgd',
  data: {xgg_id:idArr,xdbg_gwgl_gwlb:data}
});

//请求组织人员
export const orgPeoQueryApi = (data = {})=> request({
  url: '/user/main/index',
  data:{}
})

//公文办理添加
export const GWGLaddApi = (data = {}) => request({
  url: '/xdbg/gwgl_gwbl/add',
  data: {xdbg_gwgl_gwbl:data}
});




 

